Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# DLL_Manager.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/Containers_T.h"`
`#include "ace/SStringfwd.h"`
`#include "ace/os_include/os_dlfcn.h"`

Include dependency graph for DLL_Manager.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_DLL_Handle
| Provides an abstract interface for handling various DLL operations. More...
class | ACE_DLL_Manager
| This class is a singleton and serves as a factory and repository for instances of ACE_DLL_Handle. More...
## Defines
#define | ACE_DEFAULT_DLL_MANAGER_SIZE 1024

## Detailed Description

Id
  DLL_Manager.h,v 4.16 2006/02/10 09:52:23 jwillemsen Exp

Author:
  Don Hinton <dhinton@ieee.org>

## Define Documentation

#define ACE_DEFAULT_DLL_MANAGER_SIZE 1024